petsc-3.12.1 2019-10-22
Report Typos and Errors

# MATBAIJMKL

MATBAIJMKL = "BAIJMKL" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQBAIJMKL when constructed with a single process communicator, and MATMPIBAIJMKL otherwise. As a result, for single process communicators, MatSeqBAIJSetPreallocation() is supported, and similarly MatMPIBAIJSetPreallocation() is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

-mat_type baijmkl -sets the matrix type to "BAIJMKL" during a call to MatSetFromOptions()

### See Also

MatCreateBAIJMKL(), MATSEQBAIJMKL, MATMPIBAIJMKL

### Level

beginner

### Location

src/mat/impls/baij/mpi/baijmkl/mpibaijmkl.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages